This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 966923 - sepolicy generate: loading policy module for --confined_admin fails
sepolicy generate: loading policy module for --confined_admin fails
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: policycoreutils (Show other bugs)
7.0
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Daniel Walsh
Michal Trunecka
:
Depends On:
Blocks: 917049
  Show dependency treegraph
 
Reported: 2013-05-24 05:22 EDT by Michal Trunecka
Modified: 2014-09-30 19:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:28:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Trunecka 2013-05-24 05:22:56 EDT
Description of problem:

Policy module generated by:
sepolicy generate -p mypolicy  -n testpolicy --confined_admin -a firewalld

can be compilled, but its loading failes with following error:

+ /usr/sbin/semodule -i testpolicy.pp
libsepol.print_missing_requirements: testpolicy's global requirements were not met: bool testpolicy_read_user_files (No such file or directory).
libsemanage.semanage_link_sandbox: Link packages failed (No such file or directory).
/usr/sbin/semodule:  Failed!


Version-Release number of selected component (if applicable):
policycoreutils-2.1.14-45.el7.x86_64
Comment 1 Daniel Walsh 2013-06-06 14:08:36 EDT
Fixed in policycoreutils-2.1.14-46.2.el7
Comment 3 Ludek Smid 2014-06-13 07:28:18 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.